## org.eclipse.datatools.sqltools.sqlbuilder.views.execute
Class ParameterMarkerPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.datatools.sqltools.sqlbuilder.views.execute.ParameterMarkerPage

All Implemented Interfaces:
  org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.wizard.IWizardPage

    public class ParameterMarkerPage

extends org.eclipse.jface.wizard.WizardPage

Field Summary

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`ParameterMarkerPage(java.util.Vector parms)`

Method Summary
`void` `createControl(org.eclipse.swt.widgets.Composite parent)`
`java.util.Vector` `getParameterMarkers()`
`boolean` `performOk()`
`void` `setVisible(boolean visible)`
`boolean` `updateFinishButton()`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getMessageType, getTitle, performHelp, setMessage`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp`

Constructor Detail

### ParameterMarkerPage

    public ParameterMarkerPage(java.util.Vector parms)

Method Detail

### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

### updateFinishButton

    public boolean updateFinishButton()

### setVisible

    public void setVisible(boolean visible)

  Specified by:
    `setVisible` in interface `org.eclipse.jface.dialogs.IDialogPage`
  Overrides:
    `setVisible` in class `org.eclipse.jface.dialogs.DialogPage`

### performOk

    public boolean performOk()

### getParameterMarkers

    public java.util.Vector getParameterMarkers()